HomeDocumentationAPI Reference
Log In
API Reference

Register Scoped Session Key

Registers a new session key bounded to a scope without a transaction attached.
If you want to register an admin key, you must provide a signed raw transaction. Required minimum session key permission level is account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required

Expiry of the session key

ip_whitelist
array of strings | null
Defaults to null

List of whitelisted IPs, if empty then any IP is allowed.

ip_whitelist
string | null
Defaults to null

User-defined session key label

string
required

Session key in the form of an Ethereum EOA

string
enum
Defaults to read_only

Scope of the session key. Defaults to READ_ONLY level permissions.

Allowed:
string | null
Defaults to null

A signed RLP encoded ETH transaction in form of a hex string (same as w3.eth.account.sign_transaction(unsigned_tx, private_key).rawTransaction.hex()) Must be included if the scope is ADMIN.

string
required

Ethereum wallet address of account

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json